## akonadi-calendar 24.12.0

=== debian/changelog ===
akonadi-calendar (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:52:13 +0100

akonadi-calendar (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:22 +0100

=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicontact-dev (>= 4:24.12.0~),
               libkcalendarutils-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmailtransport-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               messagelib-dev (>= 4:24.12.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
Rules-Requires-Root: no

Package: kalendarac
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5akonadicalendar-bin,
Replaces: libkf5akonadicalendar-bin,
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libakonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5akonadicalendar-data,
Replaces: libkf5akonadicalendar-data,
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libakonadicalendar-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:24.12.0~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkf6i18n-dev (>= 6.6.0~),
         libkf6widgetsaddons-dev (>= 6.6.0~),
         libkidentitymanagement-dev (>= 24.12.0~),
         libkpim6akonadicalendar6 (= ${binary:Version}),
         ${misc:Depends},
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkpim6akonadicalendar6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.

## akonadi-calendar 24.12.2

=== debian/changelog ===
akonadi-calendar (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libkcalendarutils-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev,
+               libkcalendarutils-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,11 +21,11 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               messagelib-dev (>= 4:24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               messagelib-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -61,11 +62,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.0~),
+         libkidentitymanagement-dev (>= 24.12.2~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          ${misc:Depends},
 Description: akonadi-calendar - development files

## akonadi-calendar 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.3.3")
project(Akonadi-Calendar  VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.6.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "6.7.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
src/*.cpp
src/*.h
serializers/*.cpp
serializers/*.h
calendar-plugin/*.cpp
calendar-plugin/*.h
reminder-daemon/*.cpp
reminder-daemon/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
serializers/*.cpp
serializers/*.h
calendar-plugin/*.cpp
calendar-plugin/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

set(KPIM_MIME_VERSION "6.3.3")
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(AKONADIMIME_LIB_VERSION "6.3.3")
set(AKONADI_LIB_VERSION "6.3.3")
set(MAILTRANSPORT_LIB_VERSION "6.3.3")
set(CALENDARUTILS_LIB_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(MESSAGECORE_LIB_VERSION "6.3.3")
set(MESSAGECOMPOSER_LIB_VERSION "6.3.3")
set(LIBKLEO_LIB_VERSION "6.3.3")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
                        SOVERSION 6
)

configure_file(akonadi-calendar-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGECORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)

########### Targets ###########


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)



option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
add_subdirectory(serializers)
add_subdirectory(reminder-daemon)
add_subdirectory(calendar-plugin)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiCalendar")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiCalendar_QCH
        FILE KPim6AkonadiCalendarQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiCalendarQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6AkonadiCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim6AkonadiCalendarTargets.cmake NAMESPACE KPim6::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar COMPONENT Devel
)
ecm_qt_install_logging_categories(
        EXPORT AKONADI-CALENDAR
        FILE akonadi-calendar.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

add_subdirectory(gnupg_home)
include(${CMAKE_SOURCE_DIR}/cmake/modules/kdepim_add_gpg_crypto_test.cmake)

set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)

set(PREVIOUS_EXEC_OUTPUT_PATH ../../tests)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(common_sources unittestbase.cpp helper.cpp ${Akonadi-Calendar_BINARY_DIR}/src/akonadicalendar_debug.cpp ${Akonadi-Calendar_SOURCE_DIR}/src/utils_p.cpp)
set(common_libs "KPim6::AkonadiCalendar;KF6::CalendarCore;KPim6::Mime;KPim6::IdentityManagementCore;KPim6::AkonadiWidgets;KF6::Codecs;KF6::ConfigCore")

# the tests need the ical resource, which we might not have at this point (e.g. on the CI)
find_program(AKONADI_ICAL_RESOURCE NAMES akonadi_ical_resource)
if(AKONADI_ICAL_RESOURCE)
    add_akonadi_isolated_test_advanced( historytest.cpp "${common_sources}" "${common_libs}")
    add_akonadi_isolated_test_advanced( incidencechangertest.cpp "" "KPim6::AkonadiCalendar")
    add_akonadi_isolated_test_advanced( calendarbasetest.cpp "" "KPim6::AkonadiCalendar")
    add_akonadi_isolated_test_advanced( fetchjobcalendartest.cpp "" "KPim6::AkonadiCalendar")
    add_akonadi_isolated_test_advanced( etmcalendartest.cpp "" "KPim6::AkonadiCalendar;KF6::ConfigCore")
    add_akonadi_isolated_test_advanced( collectioncalendartest.cpp "" "KPim6::AkonadiCalendar;KPim6::AkonadiPrivate")

    add_akonadi_isolated_test_advanced( itiphandlertest.cpp "${common_sources}" "${common_libs};KPim6::AkonadiMime")

    add_executable(mailclienttest)
    target_sources(mailclienttest PRIVATE mailclienttest.cpp)
    target_link_libraries(mailclienttest PRIVATE
        Qt::DBus
        Qt::Test
        KPim6::AkonadiCalendar
        KPim6::Mime
        KF6::Contacts
        KPim6::AkonadiMime
	KPim6::IdentityManagementCore
        KPim6::MessageComposer
)
    add_gpg_crypto_akonadi_test( mailclienttest "mailclienttest")
endif()



ecm_qt_declare_logging_category(akonadi_serializer_kcalcore_autotest_SRCS HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CALENDAR_LOG CATEGORY_NAME org.kde.pim.calendar_serializer)

ecm_add_test(kcalcoreserializertest.cpp ../serializers/akonadi_serializer_kcalcore.cpp ${akonadi_serializer_kcalcore_autotest_SRCS}
    LINK_LIBRARIES KPim6::CalendarUtils KF6::CalendarCore KPim6::AkonadiCore KF6::I18n Qt::Test
    TEST_NAME kcalcoreserializertest
)

=== calendar-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(akonadicalendarplugin)
target_sources(akonadicalendarplugin PRIVATE
    akonadicalendarplugin.cpp
    singlecollectioncalendar.cpp
    akonadicalendarplugin.h
    singlecollectioncalendar.h
)

ecm_qt_declare_logging_category(akonadicalendarplugin
    HEADER akonadicalendarplugin_debug.h
    IDENTIFIER AKONADICALENDARPLUGIN_LOG
    CATEGORY_NAME org.kde.kcalendarcore.akonadiplugin
    DESCRIPTION "KCalendarCore (Akonadi plugin)"
    EXPORT AKONADI-CALENDAR
)

target_link_libraries(akonadicalendarplugin PRIVATE
    KF6::CalendarCore
    KPim6::AkonadiCalendar
)

install(TARGETS akonadicalendarplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/org.kde.kcalendarcore.calendars/)

=== serializers/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-calendar6-serializer\")
add_library(akonadi_serializer_kcalcore MODULE)

target_sources(akonadi_serializer_kcalcore PRIVATE
    akonadi_serializer_kcalcore.cpp
    akonadi_serializer_kcalcore.h
)
ecm_qt_declare_logging_category(akonadi_serializer_kcalcore HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CALENDAR_LOG CATEGORY_NAME org.kde.pim.calendar_serializer
        DESCRIPTION "calendar serializer (plugin)"
        EXPORT AKONADI-CALENDAR
)


target_link_libraries(akonadi_serializer_kcalcore
    KPim6::CalendarUtils
    KF6::CalendarCore
    KPim6::AkonadiCore
    KF6::I18n
)
install(TARGETS akonadi_serializer_kcalcore
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES akonadi_serializer_kcalcore.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer
)

=== debian/changelog ===
akonadi-calendar (4:24.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * CI: simplify/update configuration.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Re-export upstream signing key without extra signatures, and merge into a
    single keyring.
  * Stop shipping /usr/share/knotifications6/notification_gui.notifyrc, as
    it comes from a test application. (Closes: #1091352)

 -- Pino Toscano <pino@debian.org>  Tue, 14 Oct 2025 14:56:12 +0200

akonadi-calendar (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
                libakonadimime-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -21,19 +21,18 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               messagelib-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               messagelib-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-calendar
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
-Rules-Requires-Root: no
 
 Package: kalendarac
 Architecture: amd64 arm64 armhf i386
@@ -62,11 +61,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.2~),
+         libkidentitymanagement-dev (>= 24.12.3~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          ${misc:Depends},
 Description: akonadi-calendar - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	- xvfb-run --\
	           dh_auto_test

execute_after_dh_auto_install:
	# test application, not sure why it is even installed
	rm -fv debian/tmp/usr/share/knotifications6/notification_gui.notifyrc

## akonadi-calendar 25.07.80

=== debian/changelog ===
akonadi-calendar (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Disable tests at build time.
  * New library package libkpim6akonadicalendarcore6

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:38:31 +0100

akonadi-calendar (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:32:43 +0100

akonadi-calendar (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:25 +0100

akonadi-calendar (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:06 +0100

akonadi-calendar (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:01 +0100

akonadi-calendar (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: akonadi-calendar
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev,
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -21,18 +22,19 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkleo-dev (>= 4:24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
-               messagelib-dev (>= 4:24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               messagelib-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-calendar
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-calendar
+Rules-Requires-Root: no
 
 Package: kalendarac
 Architecture: amd64 arm64 armhf i386
@@ -61,12 +63,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 24.12.3~),
+         libkidentitymanagement-dev (>= 25.07.80~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
+         libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar
@@ -84,3 +87,14 @@
 Description: library providing calendar helpers for Akonadi items
  This library offers helper functions to integrate the use of Akonadi calendar
  items in applications.
+
+Package: libkpim6akonadicalendarcore6
+Provides: ${ABI:VirtualPackage},
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Depends: libakonadicalendar-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library providing calendar helpers for Akonadi items
+ This library offers helper functions to integrate the use of Akonadi calendar
+ items in applications.

## akonadi-calendar 25.07.90

=== debian/changelog ===
akonadi-calendar (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libkcalendarutils-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               messagelib-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               messagelib-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -63,11 +63,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.07.80~),
+         libkidentitymanagement-dev (>= 25.07.90~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},

## akonadi-calendar 25.08.0

=== debian/changelog ===
akonadi-calendar (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libkcalendarutils-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libkcalendarutils-dev (>= 4:25.08.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               messagelib-dev (>= 4:25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               messagelib-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -63,11 +63,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.07.90~),
+         libkidentitymanagement-dev (>= 25.08.0~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},

## akonadi-calendar 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.5.1")
project(Akonadi-Calendar VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(QT_REQUIRED_VERSION "6.8.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
    calendar-plugin/*.cpp
    calendar-plugin/*.h
    reminder-daemon/*.cpp
    reminder-daemon/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    serializers/*.cpp
    serializers/*.h
    calendar-plugin/*.cpp
    calendar-plugin/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

set(KPIM_MIME_VERSION "6.5.1")
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "6.5.1")
set(AKONADIMIME_LIB_VERSION "6.5.1")
set(AKONADI_LIB_VERSION "6.5.1")
set(MAILTRANSPORT_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(MESSAGECORE_LIB_VERSION "6.5.1")
set(MESSAGECOMPOSER_LIB_VERSION "6.5.1")
set(LIBKLEO_LIB_VERSION "6.5.1")

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
    SOVERSION 6
)

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDARCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar-core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfigVersion.cmake"
    SOVERSION 6
)

configure_file(akonadi-calendar-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/akonadi-calendar-version.h @ONLY)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGECORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
add_subdirectory(serializers)
add_subdirectory(reminder-daemon)
add_subdirectory(calendar-plugin)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR_CORE "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiCalendarCore")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiCalendarCore_QCH
        FILE KPim6AkonadiCalendarCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS_CORE
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiCalendarCoreQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR_CORE}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AkonadiCalendarCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR_CORE}"
    FILE KPim6AkonadiCalendarCoreTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar-core_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendarCore
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AkonadiCalendar")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6AkonadiCalendar_QCH
        FILE KPim6AkonadiCalendarQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6AkonadiCalendarQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAkonadiCalendarConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    EXPORT KPim6AkonadiCalendarTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AkonadiCalendarTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/AkonadiCalendar
    COMPONENT Devel
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AkonadiCalendarConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT AKONADI-CALENDAR
    FILE akonadi-calendar.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== calendar-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(akonadicalendarplugin)
target_sources(
    akonadicalendarplugin
    PRIVATE
        akonadicalendarplugin.cpp
        singlecollectioncalendar.cpp
        akonadicalendarplugin.h
        singlecollectioncalendar.h
)

ecm_qt_declare_logging_category(akonadicalendarplugin
    HEADER akonadicalendarplugin_debug.h
    IDENTIFIER AKONADICALENDARPLUGIN_LOG
    CATEGORY_NAME org.kde.kcalendarcore.akonadiplugin
    DESCRIPTION "KCalendarCore (Akonadi plugin)"
    EXPORT AKONADI-CALENDAR
)

target_link_libraries(
    akonadicalendarplugin
    PRIVATE
        KF6::CalendarCore
        KPim6::AkonadiCalendar
)

install(TARGETS akonadicalendarplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/org.kde.kcalendarcore.calendars/)

=== reminder-daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Claudio Cambra <claudio.cambra@gmail.com>
#
# SPDX-License-Identifier: BSD-2-Clause

add_executable(kalendarac)
add_definitions(-DTRANSLATION_DOMAIN=\"kalendarac\")

qt_add_dbus_interface(kalendarac_SRCS org.kde.calendar.Calendar.xml calendarinterface)

target_sources(
    kalendarac
    PRIVATE
        kalendaralarmclient.cpp
        alarmnotification.cpp
        kalendaralarmclient.h
        alarmnotification.h
        kalendaracmain.cpp
        suspenddialog.h
        suspenddialog.cpp
        ${kalendarac_SRCS}
)

target_include_directories(kalendarac PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(
    kalendarac
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::CalendarCore
    KF6::DBusAddons
    KPim6::AkonadiCore
    KPim6::AkonadiCalendar
    KPim6::IdentityManagementCore
    KF6::KIOGui
    KF6::I18n
    KF6::Notifications
    KF6::Crash
    Qt::Core
    Qt::DBus
)

ecm_qt_declare_logging_category(kalendarac
    HEADER logging.h
    IDENTIFIER REMINDER_DAEMON_LOG
    CATEGORY_NAME org.kde.kalendarac
    DESCRIPTION "Reminder daemon"
    EXPORT REMINDER_DAEMON
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kalendarac
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

install(
    TARGETS
        kalendarac
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES org.kde.kalendarac.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

install(FILES kalendarac.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

set(SERV_EXEC ${KDE_INSTALL_FULL_BINDIR}/kalendarac)
configure_file(org.kde.kalendarac.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kalendarac.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kalendarac.service DESTINATION ${KDE_INSTALL_FULL_DBUSSERVICEDIR})
ecm_qt_install_logging_categories(
    EXPORT REMINDER_DAEMON
    FILE org_kde_kalendarac.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
akonadi-calendar (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadicontact-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
-               libkcalendarutils-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadicontact-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
+               libkcalendarutils-dev (>= 4:25.08.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6notifications-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkleo-dev (>= 4:25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkleo-dev (>= 4:25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
+               messagelib-dev (>= 4:25.08.1~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -63,11 +63,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.0~),
+Depends: libakonadi-dev (>= 4:25.08.1~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6i18n-dev (>= 6.6.0~),
          libkf6widgetsaddons-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.08.0~),
+         libkidentitymanagement-dev (>= 25.08.1~),
          libkpim6akonadicalendar6 (= ${binary:Version}),
          libkpim6akonadicalendarcore6 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,5 @@
 	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)
 
 override_dh_auto_test:
-	- xvfb-run --\
-	           dh_auto_test
-
-execute_after_dh_auto_install:
-	# test application, not sure why it is even installed
-	rm -fv debian/tmp/usr/share/knotifications6/notification_gui.notifyrc
+	# Disable unittest at build time
+	:
